System.Web 2.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Property)

The personalization attribute, Personalizable, is applied to public control properties that need to persist personalization information. ASP.NET automatically generates the code to persist or retrieve these values from the underlying data store when the control is in a Web Parts zone on a Web Parts page.

The following requirements must be met for a property to be marked as personalizable:

The property must be public and must have public get and set accessors.

The property must be a read/write property.

The property must be without parameters.

The property cannot be indexed.

Code is automatically generated to load and save personalization data for properties. Properties that support personalization are determined based on the existence of this attribute on the property and the fact that the property conforms to the constraints listed above.

Note that read-only and write-only properties are not supported for personalization. Applying this attribute to a read-only or write-only property results in an being thrown. Parameterized properties also throw an exception.

Individual properties without this attribute are excluded from personalization if no special handling through the interface is used.

For more information about using attributes, see Web Parts Personalization.

Represents the personalization attribute. This class cannot be inherited.

- Constructor

  This constructor internally sets the property to true, the property to , and the property to false.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor

  This constructor internally sets the property to the value of the Boolean parameter, the property to , and the property to false.

  This constructor is useful if you want a derived type to mark a virtual property that is personalizable on the base type as not-personalizable on the derived type.

  Initializes a new instance of the class using the provided parameter.

  A Boolean value indicating whether the property can be personalized.
  2.0.0.0
- Constructor

  This constructor internally sets the property to true, the property to the parameter specified, and the property to false.

  Initializes a new instance of the class using the provided parameter.

  A indicating the scope of the personalization.
  2.0.0.0
- Constructor

  This constructor internally sets the property to true, the property to the first parameter specified, and the property to the second parameter specified.

  Initializes a new instance of the class using the provided parameters.

  A indicating the scope of the personalization.
  A Boolean value indicating whether the property information is considered sensitive.
  2.0.0.0
- Field
  System.Web.UI.WebControls.WebParts.PersonalizableAttribute

  This field is used in conjunction with the method.

  This field and the field have the same value.

  Returns an attribute instance that indicates no support for personalization. This field is read-only.

  2.0.0.0
- Method
  System.Boolean ``

  Two instances are considered equal if their , , and property settings are the same.

  When overridden, returns a Boolean evaluation of the current instance of and another instance supplied as a parameter.

  true if the values are equal; otherwise, false.

  The to be compared to the current instance. 2.0.0.0
- Method
  System.Int32

  The hash code is based on an attribute's , , and property settings.

  When overridden, returns a hash code of the attribute.

  A hash code in the form of an integer.

  2.0.0.0
- Method
  System.Collections.ICollection ``

  This method returns a collection containing zero or more objects, with one object in the collection for each property of the type specified that is marked as being personalizable, where equals true.

  The parameter is the type on which to look for Personalizable properties. For example, you would pass in "typeof(MyWebPart)" to get the Personalizable properties on the MyWebPart class.

  Returns a collection of objects for the properties that match the parameter type and are marked as personalizable.

  An of personalizable properties.

  The type on which to look for Personalizable properties. 2.0.0.0
- Method
  System.Boolean

  The field indicates no support for personalization.

  When overridden, returns a value that indicates whether the attribute instance equals the value of the static field.

  true if the attribute instance equals the static field; otherwise, false.

  2.0.0.0
- Property
  System.Boolean To be added.

  This value is set when an instance of the class is created.

  Gets the setting that indicates whether the attribute can be personalized, as established by one of the constructors.

  2.0.0.0
- Property
  System.Boolean To be added.

  This value is set when an instance of the class is created.

  This property controls how the property value is exported. If the property is set to true, it will not be exported when the control's property is set to .

  Gets the setting that indicates whether the attribute is sensitive, as established by one of the constructors.

  2.0.0.0
- Method
  System.Boolean ``

  Use this method to match properties that have the same value.

  Returns a value that indicates whether the current instance of and the specified have the same property value.

  true if the two attributes have the same value; otherwise, false.

  The to be compared to the current instance. 2.0.0.0
- Field
  System.Web.UI.WebControls.WebParts.PersonalizableAttribute

  This field and the field have the same value.

  Returns an attribute instance that indicates no support for personalization. This field is read-only.

  2.0.0.0
- Field
  System.Web.UI.WebControls.WebParts.PersonalizableAttribute

  This attribute instance has its property set to and its property set to false.

  Returns an attribute instance that indicates support for personalization. This field is read-only.

  2.0.0.0
- Property
  System.Web.UI.WebControls.WebParts.PersonalizationScope To be added.

  This value is set when an instance of the class is created.

  This property controls when the property value is saved and loaded, depending on the property of the page.

  Gets the enumeration value for the class instance, as set by one of the constructors.

  2.0.0.0
- Field
  System.Web.UI.WebControls.WebParts.PersonalizableAttribute

  This attribute instance has its property set to and its property set to false.

  Returns an attribute instance that indicates support for personalization with a shared scope. This field is read-only.

  2.0.0.0
- Field
  System.Web.UI.WebControls.WebParts.PersonalizableAttribute

  This attribute instance has its property set to and its property set to false.

  Returns an attribute instance that indicates support for personalization in scope. This field is read-only.

  2.0.0.0